cordova.define("cordova-plugin-photo-gallery.PhotoGallery", function(require, exports, module) {
var PhotoGallery = function () {
};
/**
 *
 * @param options
 *  .path image source path
 *  .name filename - only support android
 * @param successCallback
 * @param failureCallback
 * @return {*}
 */
PhotoGallery.saveImageToGallery = function (options, successCallback, failureCallback) {
  options.path = _getLocalImagePathWithoutPrefix(options.path);
  return cordova.exec(
        successCallback, failureCallback, 'PhotoGallery', 'saveImageToGallery', [options]);
};
/**
 *
 * @param options
 * @param successCallback
 * @param failureCallback
 * @return {*}
 */
PhotoGallery.scanPhoto = function (options, successCallback, failureCallback) {
  options.path = _getLocalImagePathWithoutPrefix(options.path);
  return cordova.exec(
    successCallback, failureCallback, 'PhotoGallery', 'scanPhoto', [options]);
};
function _getLocalImagePathWithoutPrefix(localImagePath) {
  if (localImagePath.indexOf('file:///') === 0) {
    return localImagePath.substring(7);
  }
  return localImagePath;
}
module.exports = PhotoGallery;

});
